Subject: Re: bug#26208: core-updates: Guix itself fails to build!

From: [email-masked] (Ludovic Courtès)
Date: Fri, 24 Mar 2017 23:46:02 +0100

Leo Famulari <[email-masked]> skribis:

> Guix is failing to build on core-updates for x86_64-linux:
>
> https://hydra.gnu.org/job/gnu/core-updates/guix-0.12.0-5.1162.x86_64-linux

Works for me on the first try!  :-)

--8<---------------cut here---------------start------------->8---
$ git describe
v0.12.0-2430-g77ab6983a
$ ./pre-inst-env guix build guix
/gnu/store/0z3hcfmmhdl23llflk0br44lhfcr1fis-guix-0.12.0-6.73a4
$ guix hash -r /gnu/store/0z3hcfmmhdl23llflk0br44lhfcr1fis-guix-0.12.0-6.73a4
1rz8g0hwg7ihjmph9hqr0aql83czw5zwnf4xcjg9qqhf8jd5md35
--8<---------------cut here---------------end--------------->8---

The same derivation now builds fine on hydra.  I suspect that was a
transient error (the parallel build stuff…).

Ludo’.